Loading...
Searching...
No Matches
mzxmloutput.cpp File Reference

write msrun peaks into mzxml output stream More...

`#include "mzxmloutput.h"`
`#include <QDebug>`
`#include <QStringList>`
`#include <algorithm>`
`#include <cstdio>`
`#include "config.h"`

Go to the source code of this file.

## Functions

template<class T >
T | change_endian (T in)

## Detailed Description

write msrun peaks into mzxml output stream

Date
  23/11/2019

Author
  Olivier Langella

Definition in file mzxmloutput.cpp.

## Function Documentation

## change_endian()

template<class T >

T change_endian | ( | T | in | ) |

Definition at line 43 of file mzxmloutput.cpp.

{
char *const p = reinterpret_cast<char *>(&in);
for(size_t i = 0; i < sizeof(T) / 2; ++i)
std::swap(p[i], p[sizeof(T) - i - 1]);
return in;
}

Referenced by pappso::MzxmlOutput::writeQualifiedMassSpectrum().